dpp::poll_answer
message.h
uint32_t uint32_t dpp::poll_answer::id id dpp::poll_answer::id {0}

ID of the answer. Only sent by the Discord API, this is a dead field when creating a poll.

@warn At the time of writing the Discord API warns users not to rely on anything regarding sequence or "first value" of this field.

poll_media poll_media dpp::poll_answer::media media dpp::poll_answer::media {}

Data of the answer.

poll_media

Represents an answer in a poll.

https://discord.com/developers/docs/resources/poll#poll-answer-object-poll-answer-object-structure

bool
dpp::partial_emoji
name
id
animated
dpp::poll_answer
id
media
dpp::poll_media
text
emoji
dpp::snowflake
value
std::basic_string< Char >
std::string
uint32_t
uint64_t
- dpp::poll_answer
  id
- dpp::poll_answer
  media